## org.gnu.gtk.event
Class TreeViewEvent.Type

    java.lang.Object
      org.gnu.glib.EventType
          org.gnu.gtk.event.TreeViewEvent.Type

Enclosing class:
  TreeViewEvent

public static class TreeViewEvent.Type
extends EventType

Type of a TreeModelEvent

Field Summary
`static TreeViewEvent.Type` `COLUMNS_CHANGED`
`static TreeViewEvent.Type` `EXPAND_COLLAPSE_CURSOR_ROW`
`static TreeViewEvent.Type` `ROW_ACTIVATED`
`static TreeViewEvent.Type` `ROW_COLLAPSED`
`static TreeViewEvent.Type` `ROW_EXPANDED`
`static TreeViewEvent.Type` `SELECT_ALL`
`static TreeViewEvent.Type` `SELECT_CURSOR_PARENT`
`static TreeViewEvent.Type` `SELECT_CURSOR_ROW`
`static TreeViewEvent.Type` `START_INTERACTIVE_SEARCH`
`static TreeViewEvent.Type` `TOGGLE_CURSOR_ROW`
`static TreeViewEvent.Type` `UNSELECT_ALL`

Methods inherited from class org.gnu.glib.EventType
`getID, getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ROW_ACTIVATED

    public static final TreeViewEvent.Type ROW_ACTIVATED

### ROW_EXPANDED

    public static final TreeViewEvent.Type ROW_EXPANDED

### ROW_COLLAPSED

    public static final TreeViewEvent.Type ROW_COLLAPSED

### COLUMNS_CHANGED

    public static final TreeViewEvent.Type COLUMNS_CHANGED

### SELECT_ALL

    public static final TreeViewEvent.Type SELECT_ALL

### UNSELECT_ALL

    public static final TreeViewEvent.Type UNSELECT_ALL

### SELECT_CURSOR_ROW

    public static final TreeViewEvent.Type SELECT_CURSOR_ROW

### TOGGLE_CURSOR_ROW

    public static final TreeViewEvent.Type TOGGLE_CURSOR_ROW

### EXPAND_COLLAPSE_CURSOR_ROW

    public static final TreeViewEvent.Type EXPAND_COLLAPSE_CURSOR_ROW

### SELECT_CURSOR_PARENT

    public static final TreeViewEvent.Type SELECT_CURSOR_PARENT

### START_INTERACTIVE_SEARCH

    public static final TreeViewEvent.Type START_INTERACTIVE_SEARCH